Skip to main content
Version: v3.0.0

API Reference

API Request Domain​

http://<ip_address_OR_Domain>/

API Definitions​

The API Definitions are available for download in JSON formats, or they can be viewed online in the API Definitions

Prerequisites​

When requesting an API, you need to use the Basic Auth authentication which contains a token_id and token_secret in base64 format,

Obtain the Token ID and Secret​

An Token ID and Secret are generated from the Access Tokens page.

Authentication Method​

Authentication Method: Basic Auth

Create base64​

The base64 can be created using an linux command line environment and the base64 command.

NOTE: There is a : (colon) between the Token ID and Token Secret

echo -n <token_id>:<token_secret> | base64

Region​

important

The region field is mandatory.

The Region field may be unique for each server. The field is generated during installation and is based on the result of using nslookup <ip_address> or the server's ip address. The region value is found in the following config file

grep region_alias ~/Bitstreams_Edge_v3.0.0_*/release/configs/config/lms/config.toml

API Syntax Example​

The following example will return a list of streams

curl -LH 'Authorization: Basic <base64_string>' http://<Domain_Address>/api/v3/streams